For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiry Sessions
      • POSTCreate an Inquiry Session
      • POSTExpire Inquiry Sessions
      • GETRetrieve an Inquiry Session
      • POSTExpire an Inquiry Session
      • POSTGenerate a one-time link for Inquiry Session
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiry Sessions

Expire an Inquiry Session

POST
https://api.withpersona.com/api/v1/inquiry-sessions/:inquiry-session-id/expire
POST
/api/v1/inquiry-sessions/:inquiry-session-id/expire
$curl -X POST https://api.withpersona.com/api/v1/inquiry-sessions/inquiry-session-id/expire \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "iqse_ABC123",
4 "attributes": {
5 "status": "expired",
6 "created-at": "2023-07-25T04:15:20.000Z",
7 "started-at": "2023-07-25T05:14:50.000Z",
8 "expired-at": "2023-07-26T05:14:50.000Z",
9 "ip-address": "127.0.0.1",
10 "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36",
11 "os-name": "Mac",
12 "os-full-version": "10.15.7",
13 "device-type": "desktop",
14 "browser-name": "Chrome",
15 "browser-full-version": "115.0.0.0",
16 "is-proxy": false,
17 "is-tor": false,
18 "is-datacenter": false,
19 "is-vpn": false,
20 "threat-level": "low",
21 "country-code": "US",
22 "country-name": "United States",
23 "region-code": "CA",
24 "region-name": "California",
25 "latitude": 37.7688,
26 "longitude": -122.262,
27 "browser-fingerprint": "abc123def456"
28 },
29 "relationships": {
30 "inquiry": {
31 "data": {
32 "type": "inquiry",
33 "id": "inq_ABC123"
34 }
35 },
36 "device": {
37 "data": {
38 "type": "device",
39 "id": "dev_ABC123"
40 }
41 }
42 },
43 "type": "inquiry-session"
44 }
45}
Expires a specific Inquiry Session.
Was this page helpful?
Previous

Generate a one-time link for Inquiry Session

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inquiry-session-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns an Inquiry Session object and (optionally) its related objects in included.

dataobject
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.